package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ReportQueryLogMapper;
import com.ruoyi.system.domain.ReportQueryLog;
import com.ruoyi.system.service.IReportQueryLogService;

/**
 * 查询日志Service业务层处理
 * 
 * @author boman
 * @date 2021-12-27
 */
@Service
public class ReportQueryLogServiceImpl implements IReportQueryLogService 
{
    @Autowired
    private ReportQueryLogMapper reportQueryLogMapper;

    /**
     * 查询查询日志
     * 
     * @param logId 查询日志主键
     * @return 查询日志
     */
    @Override
    public ReportQueryLog selectReportQueryLogByLogId(Long logId)
    {
        return reportQueryLogMapper.selectReportQueryLogByLogId(logId);
    }

    /**
     * 查询查询日志列表
     * 
     * @param reportQueryLog 查询日志
     * @return 查询日志
     */
    @Override
    public List<ReportQueryLog> selectReportQueryLogList(ReportQueryLog reportQueryLog)
    {
        return reportQueryLogMapper.selectReportQueryLogList(reportQueryLog);
    }

    /**
     * 新增查询日志
     * 
     * @param reportQueryLog 查询日志
     * @return 结果
     */
    @Override
    public int insertReportQueryLog(ReportQueryLog reportQueryLog)
    {
        reportQueryLog.setCreateTime(DateUtils.getNowDate());
        return reportQueryLogMapper.insertReportQueryLog(reportQueryLog);
    }

    /**
     * 修改查询日志
     * 
     * @param reportQueryLog 查询日志
     * @return 结果
     */
    @Override
    public int updateReportQueryLog(ReportQueryLog reportQueryLog)
    {
        reportQueryLog.setUpdateTime(DateUtils.getNowDate());
        return reportQueryLogMapper.updateReportQueryLog(reportQueryLog);
    }

    /**
     * 批量删除查询日志
     * 
     * @param logIds 需要删除的查询日志主键
     * @return 结果
     */
    @Override
    public int deleteReportQueryLogByLogIds(Long[] logIds)
    {
        return reportQueryLogMapper.deleteReportQueryLogByLogIds(logIds);
    }

    /**
     * 删除查询日志信息
     * 
     * @param logId 查询日志主键
     * @return 结果
     */
    @Override
    public int deleteReportQueryLogByLogId(Long logId)
    {
        return reportQueryLogMapper.deleteReportQueryLogByLogId(logId);
    }
}
